#
# spec file for package python-XStatic-angular-ui-router
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname XStatic-angular-ui-router
Name:           python-XStatic-angular-ui-router
Version:        0.3.1.2
Release:        16.1
Summary:        angular-ui-router %{version} (XStatic packaging standard)
License:        MIT
Group:          Development/Languages/Python
URL:            https://git.openstack.org/cgit/openstack/{sname}/
Source0:        https://files.pythonhosted.org/packages/source/X/XStatic-angular-ui-router/XStatic-angular-ui-router-0.3.1.2.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-setuptools
Requires:       python-XStatic
BuildArch:      noarch

%description
angular-ui-router javascript library packaged for setuptools (easy_install) / pip.

%prep
%autosetup -n %{sname}-0.3.1.2
sed -i 's/    setup_requires/#   setup_requires/' setup.py
sed -i 's/    version=.*/    version="0.3.1.2",/' setup.py
%py_req_cleanup

%build
%{py2_build}

%install
%{py2_install}
# FIXME(jpena): No *pth files are created by some CIs
rm -f %{buildroot}%{python2_sitelib}/XStatic_angular_ui_router*-nspkg.pth

%files
%doc README.txt
%{python2_sitelib}/xstatic
%{python2_sitelib}/XStatic_angular_ui_router-*.egg-info

%changelog
